Subject: Opsdir last call review of draft-ietf-regext-org-11

From: Jürgen Schönwälder <[email-masked]>
Date: Fri, 19 Oct 2018 01:26:38 -0700

Reviewer: Jürgen Schönwälder
Review result: Has Nits

Thanks for a concise and well written document. I have not run tools
to validate the XSD and the XML artefacts but the definitions all look
reasonable.

Comment:

- What does the following mean in the definition of e164StringType?

        <attribute name="x" type="token" />

  It is indeed the intention to use "x"? What is the reason for having
  e164Type, why not use e164StringType?

Nits:

- What are "Organization transform commands"? This phrase appears
  several times in 3.4 an it seems this refers to what section 4.2
  describes later on. Well, if you read the document sequentially,
  things are a bit confusing. Perhaps define upfront what transform
  commands are? It might also be that EPP people are used to
  "transform commands" and this just shows my lack of familiarity with
  EPP.

- s/ement/element/

- s/Zero of more <org:status> element/Zero of more <org:status> elements/

---

From: "Linlin Zhou" <[email-masked]>
Date: Fri, 19 Oct 2018 17:21:41 +0800

Dear Jürgen,
Thanks for your review. I have my feedbacks below starting with [Linlin].

Regards,
Linlin

Linlin Zhou
 
From: Jürgen Schönwälder
Date: 2018-10-19 16:26
To: [email-masked]
CC: draft-ietf-regext-org.all; ietf; regext
Subject: Opsdir last call review of draft-ietf-regext-org-11
Reviewer: Jürgen Schönwälder
Review result: Has Nits

Comment:

 

[Linlin] Yes, becasuse some "voice" may have telephone extensions. So an optional "x" attribute is provided to note telephone extension information. The detailed format of this element is described in Section 2.5 of RFC5733. We have this reference in the document.
 
Nits:
 
[Linlin] This document is an object mapping extension of RFC5730 described in section 1 of this document. Since RFC5730 has already defined "Object Transform Commands" in section 2.9.3. So we don't repeat the definitions here.
 
- s/ement/element/
[Linlin] Thank you for your careful review. "The <org:check> ement..." in section 4.1.1. It will be revised.
 
- s/Zero of more <org:status> element/Zero of more <org:status> elements/
[Linlin] In section 4.2.1. It will be revised.

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Sat, 20 Oct 2018 14:34:02 +0000

> -----Original Message-----
> From: OPS-DIR [mailto:[email-masked]] On Behalf Of Jürgen
> Schönwälder
> Sent: Friday, October 19, 2018 4:27 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: [OPS-DIR] Opsdir last call review of draft-ietf-regext-org-11
> 
...
> - s/Zero of more <org:status> element/Zero of more <org:status> elements/
[acm] thinks you meant:
 - s/Zero of more <org:status> element/Zero or more <org:status> elements/
                                             ^

---

From: "Linlin Zhou" <[email-masked]>
Date: Mon, 22 Oct 2018 09:10:20 +0800

Yes, "Zero or more <org:status> elements", thank you.

Linlin Zhou
 
From: MORTON, ALFRED C (AL)
Date: 2018-10-20 22:34
To: Jürgen Schönwälder; [email-masked]
CC: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [OPS-DIR] Opsdir last call review of draft-ietf-regext-org-11

...
[acm] thinks you meant: